Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.util
Class Util

    java.lang.Object
      calhoun.util.Util

    public class Util

extends java.lang.Object

Method Summary
`static
`<T> void`
` | `addAll(java.util.Collection<T> coll, java.util.Iterator<? extends T> iter)`
`static java.util.List<java.lang.Double>` | `convertDoubleArray(double[] list)`
`static float[]` | `convertFloatList(java.util.List<java.lang.Float> list)`
`static int[]` | `convertIntList(java.util.List<java.lang.Integer> list)`
`static java.lang.Object` | `deepClone(java.lang.Object o)` make a copy of any serializable object graph
`static void` | `normalizeWeights(float[] weights)`
`static boolean` | `safeEquals(java.lang.Object x, java.lang.Object y)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addAll

    public static <T> void addAll(java.util.Collection<T> coll,
                                  java.util.Iterator<? extends T> iter)

### normalizeWeights

    public static void normalizeWeights(float[] weights)

### convertIntList

    public static int[] convertIntList(java.util.List<java.lang.Integer> list)

### convertFloatList

    public static float[] convertFloatList(java.util.List<java.lang.Float> list)

### convertDoubleArray

    public static java.util.List<java.lang.Double> convertDoubleArray(double[] list)

### safeEquals

    public static boolean safeEquals(java.lang.Object x,
                                     java.lang.Object y)

### deepClone

    public static java.lang.Object deepClone(java.lang.Object o)

  make a copy of any serializable object graph

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD